function [ws]=InvShrink(wc,L,sa,alpha)
ws=[];
// InvShrink -- Shrinkage with Exponential Factor applied
//  Usage
//    s = InvShrink(wc,L,sa,alpha)
//  Inputs
//    wc      Wavelet Transform of noisy sequence with N(0,1) noise
//    L       low-frequency cutoff for Wavelet Transform
//    sa      noise level at highest resolution level
//    alpha   decay rate of noise level with resolution level
//  Outputs
//    ws      result of applying FixShrink to each wavelet level,
//            with appropriate weighting 
// 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(wc);
for j = J-1:-1:L
  scale = sa*(2.^((j-J)*alpha));
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wc,dyad(j)) may be replaced by wc(dyad(j))
  //!    wc(dyad(j)) if wc is a vector,
  //!    wc(dyad(j)).' if wc is a matrix.
   
  //!! Unknown function VisuThresh ,the original calling sequence is used
   
  //! wc = mtlb_i(wc,dyad(j),scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale)) may be replaced by wc(dyad(j)) = scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale)
  //!   if wc is not a  vector
  //!   or if wc and scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale) are both row or column vectors
  wc = mtlb_i(wc,dyad(j),scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale))
end
ws = wc;
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
