function [ws]=MultiMAD(wc,L)
ws=[];
// MultiMAD -- Apply Shrinkage with level-dependent Noise level estimation
//  Usage 
//    s = MultiMAD(wc,L)
//  Inputs 
//    wc    Wavelet Transform of noisy sequence
//    L     low-resolution cutoff for Wavelet Transform
//  Outputs 
//    ws    result of applying VisuThresh to each wavelet level,
//          after scaling so MAD of coefficienst at each level = .6745 
// 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(wc);
for j = J-1:-1:L
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wc,dyad(j)) may be replaced by wc(dyad(j))
  //!    wc(dyad(j)) if wc is a vector,
  //!    wc(dyad(j)).' if wc is a matrix.
   
  //! mtlb_median(abs(mtlb_e(wc,dyad(j)))) may be replaced by 
  //!   median(abs(mtlb_e(wc,dyad(j)))) if abs(mtlb_e(wc,dyad(j)))is a vector
  //!   median(abs(mtlb_e(wc,dyad(j))),1) if abs(mtlb_e(wc,dyad(j)))is a matrix
  scale = mtlb_median(abs(mtlb_e(wc,dyad(j))))/0.6745;
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wc,dyad(j)) may be replaced by wc(dyad(j))
  //!    wc(dyad(j)) if wc is a vector,
  //!    wc(dyad(j)).' if wc is a matrix.
   
  //!! Unknown function VisuThresh ,the original calling sequence is used
   
  //! wc = mtlb_i(wc,dyad(j),scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale)) may be replaced by wc(dyad(j)) = scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale)
  //!   if wc is not a  vector
  //!   or if wc and scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale) are both row or column vectors
  wc = mtlb_i(wc,dyad(j),scale .* VisuThresh(mtlb_e(wc,dyad(j)) ./ scale))
end
ws = wc;
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
