function [ws]=MultiSURE(wc,L)
ws=[];
// MultiSURE -- Apply Shrinkage to Wavelet Coefficients
//  Usage 
//    ws = MultiSURE(wc,L)
//  Inputs 
//    wc    Wavelet Transform of noisy sequence with N(0,1) noise
//    L     low-frequency cutoff for Wavelet Transform
//  Outputs 
//    ws    result of applying SUREThresh to each dyadic block
// 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(wc);
for j = J-1:-1:L
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wc,dyad(j)) may be replaced by wc(dyad(j))
  //!    wc(dyad(j)) if wc is a vector,
  //!    wc(dyad(j)).' if wc is a matrix.
   
  //!! Unknown function SUREThresh ,the original calling sequence is used
   
  //! wc = mtlb_i(wc,dyad(j),SUREThresh(mtlb_e(wc,dyad(j)))) may be replaced by wc(dyad(j)) = SUREThresh(mtlb_e(wc,dyad(j)))
  //!   if wc is not a  vector
  //!   or if wc and SUREThresh(mtlb_e(wc,dyad(j))) are both row or column vectors
  wc = mtlb_i(wc,dyad(j),SUREThresh(mtlb_e(wc,dyad(j))))
end
ws = wc;
 
// 
// Copyright (c) 1993-5.  Jonathan Buckheit, David Donoho and Iain Johnstone
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
