function [out]=Wiener2(Noisy,in,sigma)
out=[];
// Wiener -- Wiener filter for images.
// Usage
//   out = Wiener2(Noisy,in,sigma)
// Inputs
//   Noisy  Noisy input signal.
//   in   Original signal.
//   sigma  s.d of the additve GWN
// Outputs
//   out  Restored image.
// 
 
 
//!! Unknown function fft2 ,the original calling sequence is used
Y = fft2(in);
 
//!! Unknown function fft2 ,the original calling sequence is used
FN = fft2(Noisy);
PY = abs(Y .* Y);
[nc,nr] = size(in);
n = nc*nr;
H = PY ./ (PY+n*(sigma^2));
FN = FN .* H;
 
//!! Unknown function ifft2 ,the original calling sequence is used
out = real(ifft2(FN));
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
