function [localmaxima]=ModulusMaxima(m,par,ABS,threshold)
localmaxima=[];
[nargout,nargin] = argn(0)
 
coef = 0;
coef2 = 0;
if nargin<3 then
  ABS = 1;
end
 
if nargin<2 then
  par = 1;
end
 
if ABS then
  m = abs(m);
end
 
[nrows,ncols] = size(m);
%v=size(m)
localmaxima = zeros(%v(1),%v(2));
 
t = 1:nrows;
 
//!! Unknown function rshift ,the original calling sequence is used
tplus = rshift(t);
 
//!! Unknown function lshift ,the original calling sequence is used
tminus = lshift(t);
 
for i = 1:ncols
   
  //!! Unknown function ShapeAsRow ,the original calling sequence is used
  x = ShapeAsRow(m(:,i));
  for j = 1:par
     
    //! mtlb_e(x,tplus) may be replaced by x(tplus)
    //!    x(tplus) if x is a vector,
    //!    x(tplus).' if x is a matrix.
     
    //! mtlb_e(x,tminus) may be replaced by x(tminus)
    //!    x(tminus) if x is a vector,
    //!    x(tminus).' if x is a matrix.
     
    //!  mtlb_max([x(t);mtlb_e(x,tplus);mtlb_e(x,tminus)]) may be replaced by 
    //!     max([x(t);mtlb_e(x,tplus);mtlb_e(x,tminus)]) if [x(t);mtlb_e(x,tplus);mtlb_e(x,tminus)]is a vector
    //!     max([x(t);mtlb_e(x,tplus);mtlb_e(x,tminus)],'r') if [x(t);mtlb_e(x,tplus);mtlb_e(x,tminus)]is a matrix
    x = mtlb_max([x(t);mtlb_e(x,tplus);mtlb_e(x,tminus)]);
  end
   
   
  //!! Unknown function ShapeAsRow ,the original calling sequence is used
  x = ShapeAsRow(x)';
  localmaxima(:,i) = ~(m(:,i)<x);
  coef = coef+max(size(matrix(find(localmaxima(:,i)),1,-1)));
  localmaxima(:,i) = localmaxima(:,i) .* bool2s(abs(m(:,i))>threshold);
  coef2 = coef2+max(size(matrix(find(localmaxima(:,i)),1,-1)));
end
//fprintf('Fraction of maxima remaining over a threshold of %i : %d\n',threshold, coef2 ./coef)
 
// Written by Maureen Clerc and Jerome Kalifa, 1997
// clerc@cmapx.polytechnique.fr, kalifa@cmapx.polytechnique.fr
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
