function [d]=DownDyadHi(x,qmf)
d=[];
// DownDyadHi -- Hi-Pass Downsampling operator (periodized)
//  Usage
//    d = DownDyadHi(x,f)
//  Inputs
//    x    1-d signal at fine scale
//    f    filter
//  Outputs
//    y    1-d signal at coarse scale
// 
//  See Also
//    DownDyadLo, UpDyadHi, UpDyadLo, FWT_PO, iconv
// 
 
//!! Unknown function MirrorFilt ,the original calling sequence is used
 
//!! Unknown function lshift ,the original calling sequence is used
 
//!! Unknown function iconv ,the original calling sequence is used
d = iconv(MirrorFilt(qmf),lshift(x));
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(d);
d = d(1:2:n-1);
 
// 
// Copyright (c) 1993. Iain M. Johnstone
//     
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
