function [s]=AutoTrunc(y,sig)
s=[];
// AutoTrunc -- Perform Truncation
//  Usage
//    s = AutoTrunc(y,sig)
// 
 
//! mtlb_fft(y) may be replaced by 
//!      fft(y,-1) if yis a vector
 
//! unknown arg type, using mtlb_length 
v = mtlb_fft(y) ./ sqrt(mtlb_length(y));
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(y);
hv = v(1:n/2);
 
//!! Unknown function steintrunc ,the original calling sequence is used
sv = steintrunc(hv,sig);
vv = [sv,0,conj(sv(n/2:-1:2))];
 
//! unknown arg type, using mtlb_length 
s = sqrt(mtlb_length(y)) .* real(fft(vv,1));
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
