function []=adfig05()
// adfig05 -- Adapt Figure 05: A Display of all four wavelets, j=6, k=32;
// 
// The display shows four mother wavelets from the Haar,
// original Daubechies, Coiflet, and Nearly Symmetric Families.
// 
xw = zeros(1,2048);
 
//!! Unknown variable dyad2ix ,the original calling sequence is used
xw(dyad2ix(6,32)) = 1
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
HaarQMF = MakeONFilter('Haar');
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
HaarWave = IWT_PO(xw,5,HaarQMF);
//HaarWave = MakeWavelet(6,32,'Haar',1,'Mother',2048);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
D4QMF = MakeONFilter('Daubechies',4);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
DaubWave = IWT_PO(xw,5,D4QMF);
//DaubWave = MakeWavelet(6,32,'Daubechies',4,'Mother',2048);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
C3QMF = MakeONFilter('Coiflet',3);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
CoifWave = IWT_PO(xw,5,C3QMF);
//CoifWave = MakeWavelet(6,32,'Coiflet',3,'Mother',2048);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
SymmWave = IWT_PO(xw,5,S8QMF);
//SymmWave = MakeWavelet(6,32,'Symmlet',8,'Mother',2048);
// 
//  2 * 2 array of plots
// 
mtlb_clf();
tt = (0.5:2047.5)/2048;
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(221,tt,HaarWave,[],'5 (a) Haar Wavelet',[0.4,0.6,-0.3,0.3],[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(222,tt,DaubWave,[],'5 (b) Daubechies D4 Wavelet',[0.4,0.6,-0.3,0.3],[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(223,tt,CoifWave,[],'5 (c) Daubechies C3 Coiflet',[0.4,0.6,-0.3,0.3],[]);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(224,tt,SymmWave,[],'5 (d) Daubechies S8 Symmlet',[0.4,0.6,-0.3,0.3],[]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
