function []=adfig13()
// adfig13 -- Adapt Figure 13: WaveJS Reconstructions from Noisy Data; S8 Wavelet
// 
// A classical James-Stein shrinker applied in the wavelet domain
// to different resolution levels independently of one another.
// 
// The results are noisier-looking than the results of the 
// nonlinear soft thresholding of wavelet coefficients.
// 
global('L','qmf');
global('yblocks','ybumps','yheavi','yDoppler');
global('t');
// 
mtlb_clf();
 
//!! Unknown variable WaveJS ,the original calling sequence is used
[xhat,xw] = WaveJS(yblocks,L,qmf);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(221,t,xhat,[],' 13 (a) WaveJS[Blocks]',[],[]);
// 
 
//!! Unknown variable WaveJS ,the original calling sequence is used
[xhat,xw] = WaveJS(ybumps,L,qmf);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(222,t,xhat,[],' 13 (b) WaveJS[Bumps]',[],[]);
// 
 
//!! Unknown variable WaveJS ,the original calling sequence is used
[xhat,xw] = WaveJS(yheavi,L,qmf);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(223,t,xhat,[],' 13 (c) WaveJS[HeaviSine]',[],[]);
// 
 
//!! Unknown variable WaveJS ,the original calling sequence is used
[xhat,xw] = WaveJS(yDoppler,L,qmf);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(224,t,xhat,[],' 13 (d) WaveJS[Doppler]',[],[]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
