function [r]=rms(y)
r=[];
// rms -- Return Root Mean Square of Signal
//  Usage
//    r = rms(y)
//  Inputs
//    y    signal
//  Outputs
//    r    sqrt( mean ( y .^2 ))
// 
 
//! mtlb_mean(y.^2) may be replaced by 
//!   mean(y.^2) if y.^2is a vector
//!   mean(y.^2,1) if y.^2is a matrix
r = sqrt(mtlb_mean(y.^2));
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
