function []=GrayImage(img,ngray)
[nargout,nargin] = argn(0)
// GrayImage -- Standard gray-scale image display
//  Usage
//    GrayImage(img,ngray)
//  Inputs
//    img      a 2-d image, n by n
//    ngray    optional. number of gray levels in colormap, default 255
// 
//  Side Effects
//    A gray scale presentation of img
// 
if nargin<2 then
  ngray = 255;
end
// 
//       clg;
 



xset('window',max(winsid()+1));
set('figure_style','new')
fx=get('current_figure');
fx.visible='off';
ncolor=60;
h2=graycolormap(ncolor);
xset('colormap',h2)
grayplot(1:size(img,1),1:size(img,2),img)
ax=get('current_axes');
ax.axes_visible='off';
fx.visible='on';

//!! Unknown function image ,the original calling sequence is used
image(img);
 
//!! Unknown function axis ,the original calling sequence is used
axis('image');
xset('colormap',graycolormap(ngray));
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
