function []=BBWork03()
// BBWork03 -- Ilustrate Tiling <--> Tree Correspondence, WP Dict;
//  Wavelet Packet Dictionary, n=64
// 
n = 64;
L = 6;
xset('window',max(winsid()+1))
max(winsid());
// 
tree = zeros(1,2^(L+1));
ntree = tree+1;
wp = zeros(n,L);
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(tree,6,ntree,'Empty Tree');
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('WP',tree,wp,'WP; Dirac Basis','-');
// 
wtree = zeros(1,2^(L+1));
for d = 0:L-2
   
  //!! Unknown variable node ,the original calling sequence is used
  wtree(node(d,0)) = 1
end
// 
ntree = wtree;
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(wtree,6,ntree,'Left-Leaning Tree');
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('WP',wtree,wp,'WP; Wavelet Basis','-');
// 
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig031.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
// 
ftree = zeros(1,2^(L+1));
// 
ftree(1:2^L-1) = ones(1,2^L-1)
ntree = zeros(1,2^(L+1));
a = 0;
for d = L:-1:0
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
  a = 2*a+1;
end
wp = zeros(n,L);
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(ftree,6,ntree,'Complete Tree');
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('WP',ftree,wp,'WP; Quasi Fourier Basis','-');
// 
gtree = zeros(1,2^(L+1));
ell = 3;
gtree(1:2^ell-1) = ones(1,2^ell-1)
ntree = zeros(1,2^(L+1));
a = 0;
for d = ell:-1:0
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
  a = 2*a+1;
end
for d = ell+1:L
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
end
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(gtree,6,ntree,'Partial Complete Tree');
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('WP',gtree,wp,'WP; Quasi Gabor Basis','-');
// 
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig032.ps');
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
