function []=BBWork04()
// BBWork04 -- Ilustrate Tiling <--> Tree Correspondence, CP Dict;
//  Cosine Packet Dictionary, n=64
// 
n = 64;
L = 8;
xset('window',max(winsid()+1))
max(winsid());
// 
tree = zeros(1,2^(L+1));
ntree = tree+1;
wp = zeros(n,L);
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(tree,8,ntree,'Empty Tree');
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('CP',tree,wp,'CP; Fourier Basis','-');
// 
wtree = zeros(1,2^(L+1));
for d = 0:L-2
   
  //!! Unknown variable node ,the original calling sequence is used
  wtree(node(d,0)) = 1
end
// 
ntree = wtree;
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(wtree,8,ntree,'Left-Leaning Tree');
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('CP',wtree,wp,'CP; BlackHole Basis','-');
// 
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig041.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
// 
ftree = zeros(1,2^(L+1));
ell = 5;
ftree(1:2^ell-1) = ones(1,2^ell-1)
ntree = zeros(1,2^(L+1));
a = 0;
for d = ell:-1:0
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
  a = 2*a+1;
end
for d = ell+1:L
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
end
wp = zeros(n,L);
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(ftree,ell,ntree,'Quasi Complete Tree');
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('CP',ftree,wp,'CP; Quasi DCT','-');
// 
gtree = zeros(1,2^(L+1));
ell = 3;
gtree(1:2^ell-1) = ones(1,2^ell-1)
ntree = zeros(1,2^(L+1));
a = 0;
for d = ell:-1:0
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
  a = 2*a+1;
end
for d = ell+1:L
   
  //!! Unknown variable node ,the original calling sequence is used
   
  //!! Unknown variable node ,the original calling sequence is used
  ntree(node(d,0):node(d,2^d-1)) = ones(1,2^d) .* a
end
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(gtree,ell,ntree,'Partial Complete Tree');
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable PlotPhaseTiling ,the original calling sequence is used
PlotPhaseTiling('CP',gtree,wp,'CP; Quasi Gabor Basis','-');
// 
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig042.ps');
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
