function []=BBWork11()
// BBWork11 -- Illustrate WP Methodology on LoSine, SlowChirp
// 
n = 1024;
t = (0:n-1) ./ n;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
D = log(n)/log(2);
// 
// Signals
// 
LoSine = sin(%pi/8 .* (1:n));
xi = %pi/5 .* t;
SlowChirp = cos(xi .* (1:n));
// 
xset('window',max(winsid()+1))
max(winsid());
%v$2 = int((1-1)/1);%v$1 = 1-1-1*%v$2
xsetech([%v$1/1,%v$2/2,1/1,1/2]);
mtlb_plot(t,LoSine);
xtitle('LoSine: Sinusoid at 1/8 Nyquist',' ',' ');
%v$2 = int((2-1)/1);%v$1 = 2-1-1*%v$2
xsetech([%v$1/1,%v$2/2,1/1,1/2]);
mtlb_plot(t,SlowChirp);
xtitle('SlowChirp: Chirp from 0 to 1/5 Nyquist',' ',' ');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig111.ps');
// 
// First, illustrate WP on LoSine
// 
// 
x = LoSine;
titlestr = 'LoSine';
xset('window',max(winsid()+1))
max(winsid());
// 
 
//!! Unknown variable WPAnalysis ,the original calling sequence is used
wp = WPAnalysis(x,D,qmf);
 
//!! Unknown variable PlotPacketTable ,the original calling sequence is used
PlotPacketTable(wp);
signaltitle = 'Wavelet Packet Decomposition of '+titlestr;
xtitle(signaltitle,' ',' ');
xtitle(' ',' ','Split Level');
xtitle(' ','Frequency[Time]',' ');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig112.ps');
// 
 
//!! Unknown variable CalcStatTree ,the original calling sequence is used
stree = CalcStatTree(wp,'Entropy');
 
//!! Unknown variable BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stree,D);
signaltitle = ' WP Best Basis; '+titlestr;
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(btree,D,stree,signaltitle);
xtitle(' ','Frequency Domain Splits',' ');
xtitle(' ',' ','Entropy Gain');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig113.ps');
// 
 
//!! Unknown variable ImagePhasePlane ,the original calling sequence is used
ImagePhasePlane('WP',btree,wp,signaltitle,256,qmf);
 
//!! Unknown variable print ,the original calling sequence is used
 
// name conflict: function name changed from print to %print
%print('tf_fig13.ps');
// 
 
//!! Unknown variable WPTour ,the original calling sequence is used
WPTour('P',x,D,qmf,titlestr);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig114.ps');
// 
// Next Illustrate WP on SlowChirp
// 
x = SlowChirp;
xset('window',max(winsid()+1))
max(winsid());
titlestr = 'SlowChirp';
// 
 
//!! Unknown variable WPAnalysis ,the original calling sequence is used
wp = WPAnalysis(x,D,qmf);
 
//!! Unknown variable PlotPacketTable ,the original calling sequence is used
PlotPacketTable(wp);
signaltitle = 'Wavelet Packet Decomposition of '+titlestr;
xtitle(signaltitle,' ',' ');
xtitle(' ',' ','Split Level');
xtitle(' ','Frequency[Time]',' ');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig115.ps');
// 
 
//!! Unknown variable CalcStatTree ,the original calling sequence is used
stree = CalcStatTree(wp,'Entropy');
 
//!! Unknown variable BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stree,D);
signaltitle = ' WP Best Basis; '+titlestr;
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(btree,D,stree,signaltitle);
xtitle(' ','Frequency Domain Splits',' ');
xtitle(' ',' ','Entropy Gain');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig116.ps');
// 
 
//!! Unknown variable ImagePhasePlane ,the original calling sequence is used
ImagePhasePlane('WP',btree,wp,signaltitle,256,qmf);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig117.ps');
// 
 
//!! Unknown variable WPTour ,the original calling sequence is used
WPTour('P',x,D,qmf,titlestr);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig118.ps');
// 
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
