function []=BBWork22()
// BBWork22 -- Wavelet Packet Tour on Four Complex Signals
// 
//      LinChirp
//   TwoChirp
//  Ramp
//  Sorrows
// 
n = 1024;
t = (1:n) ./ n;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
xi = %pi/2 .* t;
lc = cos(xi .* (1:n));
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable WPTour ,the original calling sequence is used
WPTour('P',lc,10,qmf,'LinChirp');
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig221.ps');
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
tc = MakeSignal('TwoChirp',n);
 
//!! Unknown variable WPTour ,the original calling sequence is used
WPTour('P',tc,10,qmf,'TwoChirp');
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig222.ps');
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
rm = MakeSignal('Ramp',n);
 
//!! Unknown variable WPTour ,the original calling sequence is used
WPTour('P',rm,10,qmf,'Ramp');
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig223.ps');
// 
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
sw = MakeSignal('WernerSorrows',n);
 
//!! Unknown variable WPTour ,the original calling sequence is used
WPTour('P',sw,10,qmf,'Sorrows');
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.8);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig224.ps');
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
