function []=BBWork32()
// BBWork32 -- Cosine Packet Tour on Four Complex Signals
// 
//      Linear Chirp
//   TwoChirp
//  Ramp
//  Sorrows
// 
n = 1024;
t = (1:n) ./ n;
xi = %pi/2 .* t;
lc = cos(xi .* (1:n));
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable CPTour ,the original calling sequence is used
CPTour('P',lc,6,'LinChirp');
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,300,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig321.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
tc = MakeSignal('TwoChirp',n);
 
//!! Unknown variable CPTour ,the original calling sequence is used
CPTour('P',tc,6,'TwoChirp');
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig322.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
rm = MakeSignal('Ramp',n);
 
//!! Unknown variable CPTour ,the original calling sequence is used
CPTour('P',rm,6,'Ramp');
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig323.ps');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
sw = MakeSignal('WernerSorrows',n);
 
//!! Unknown variable CPTour ,the original calling sequence is used
CPTour('P',sw,6,'Sorrows');
// 
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable brighten ,the original calling sequence is used
brighten(-0.5);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig324.ps');
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
