function []=MPWork31()
// MPWork31 -- Matching-Pursuit, Cosine Packet Tour on Four Basic Signals
// 
//      LinChirp
//   TwoChirp
//  QuadChirp
//  MishMash
// 
//  Must run after MPWork21.
// 
n = 1024;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
//compressfig  = figure;
//equivratefig = figure;
//equivdimfig  = figure;
figarray = zeros(4,1);
// 
for i = 1:4
  // 
  if i==1 then
    SigName = 'LinChirp';
  elseif i==2 then
    SigName = 'TwoChirp';
  elseif i==3 then
    SigName = 'QuadChirp';
  elseif i==4 then
    SigName = 'MishMash';
  end
  // 
   
  //!! Unknown variable MakeSignal ,the original calling sequence is used
  hs = MakeSignal(SigName,n);
  xset('window',max(winsid()+1))
  figarray(i) = max(winsid())
   
  //!! Unknown variable CPPursuitTour ,the original calling sequence is used
  [mpatoms,mpresid] = CPPursuitTour('P',hs,6,'Sine',300,SigName);
  %v1$2 = int((3-1)/2);%v1$1 = 3-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable axis ,the original calling sequence is used
  axis([0,500,0,10]);
  // 
  energy = norm(hs).^2;
  mpcnums = [energy;energy-cumsum(mpatoms(:,1).^2)];
  // 
   
  //! mtlb(compressfig) can be replaced by compressfig() or compressfig whether compressfig is an m-file or not
  xset('window',mtlb(compressfig))
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotSemiCompressNum ,the original calling sequence is used
  PlotSemiCompressNum(mpcnums,'MPCP',SigName);
  // 
   
  //! mtlb(equivratefig) can be replaced by equivratefig() or equivratefig whether equivratefig is an m-file or not
  xset('window',mtlb(equivratefig))
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotEquivRate ,the original calling sequence is used
  PlotEquivRate(mpcnums,'CP',SigName);
  // 
   
  //! mtlb(equivdimfig) can be replaced by equivdimfig() or equivdimfig whether equivdimfig is an m-file or not
  xset('window',mtlb(equivdimfig))
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
   
  //!! Unknown variable PlotEquivDimension ,the original calling sequence is used
  PlotEquivDimension(mpcnums,'CP',SigName);
  // 
end
// 
 
//! mtlb(compressfig) can be replaced by compressfig() or compressfig whether compressfig is an m-file or not
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(mtlb(compressfig),'mp_fig315.ps');
 
//! mtlb(equivratefig) can be replaced by equivratefig() or equivratefig whether equivratefig is an m-file or not
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(mtlb(equivratefig),'mp_fig316.ps');
 
//! mtlb(equivdimfig) can be replaced by equivdimfig() or equivdimfig whether equivdimfig is an m-file or not
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(mtlb(equivdimfig),'mp_fig317.ps');
// 
for i = 1:4
   
  //!! Unknown variable ifprint ,the original calling sequence is used
  ifprint(figarray(i),'mp_fig31'+string(i)+'.ps');
end
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
