function []=PlotEquivDimension(cnumbers,%type,signaltitle)
// PlotEquivDimension -- Plot Equivalent Dimensions
//  Usage
//    PlotEquivDimension(cnumbers,type,signaltitle)
// 
 
if %type=='WP' then
  pch = 'b--';
elseif %type=='CP' then
  pch = 'y-';
end
// 
 
//! unknown arg type, using mtlb_length 
n = mtlb_length(cnumbers);
mtlb_plot(1 ./ (1-cnumbers(2:n) ./ cnumbers(1:n-1)),pch);
 
h = xstring(0.7*n,20,'MPCP - ');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Blue');
h = xstring(0.7*n,10,'MPWP --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
xtitle(' ','m',' ');
xtitle(' ',' ','(1 -  c_{m+1} / c_m  )^{-1}');
xtitle('Equivalent Dimension: '+signaltitle,' ',' ');
 
//!! Unknown function axis ,the original calling sequence is used
axis([0,n,0,100]);
mtlb_hold('on');
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
