function []=PlotSemiCompressNum(cnums,%type,Title)
// PlotSemiCompressNum -- Plot Compression Numbers on Semilog Scale
//  Usage
//    PlotSemiCompressNum(cnums,type,Title)
// 
 
if %type=='MPWP' then
  pch = 'y--';
elseif %type=='MPCP' then
  pch = 'b-';
elseif %type=='BBWP' then
  pch = 'r:';
elseif %type=='BBCP' then
  pch = 'g-.';
end
 
mtlb_semilogy(cnums,pch);
xtitle(' ','m',' ');
xtitle(' ',' ','c_m');
xtitle('Compression Numbers: '+Title,' ',' ');
 
//!! Unknown function axis ,the original calling sequence is used
axis([0,400,10^(-2),10^4]);
mtlb_hold('on');
 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
