function []=toon0114()
// toon0114 -- Meyer Wavelets
// 
//   Wavelet analysis begins by choosing a specific family of wavelets
//   to work with.
// 
//   The family is specified by a father and a mother wavelet, and
//   these generate a basis by translation and dilation.
// 
//   Here we illustrate four specific Mother wavelets
// 
//       Meyer 3 
//       Meyer 5 
//       Meyer 7   
//       Meyer 9    
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'Meyer',2,'Mother',1024);
xsetech([0/1,0/2,1/1,1/2]);
t = (1:1024) ./ 1024;
mtlb_plot(t(300:800),wave(300:800));
xtitle('Meyer Wavelet (Deg 2)',' ',' ');
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'Meyer',3,'Mother',1024);
xsetech([0/1,1/2,1/1,1/2]);
mtlb_plot(t(300:800),wave(300:800));
xtitle('Meyer Wavelet (Deg 3)',' ',' ');
// 
// wave = MakeWavelet(4,8,'Meyer',6,'Mother',1024);
// subplot(223);
// plot(t(300:800),wave(300:800)); title('Meyer Wavelet (Deg 6)');
// 
// wave = MakeWavelet(4,8,'Meyer',8,'Mother',1024);
// subplot(224);
// plot(t(300:800),wave(300:800)); title('Meyer Wavelet (Deg 8)');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
