function []=toon0181()
// toon0181 -- Scale Families of Wavelets
// 
//  Show the Symmlet 8 wavelet at various scales and locations
// 
mtlb_clf();
xsetech([0/1,0/1,1/1,1/1]);
posarray = [3,2;3,5;4,8;5,13;6,21;6,32;6,43;7,95];
sz = size(posarray);
nr = sz(1);
n = 1024;
w = zeros(1,n);
t = (0.5:n-0.5) ./ n;
// 
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,0,nr+1]);
xtitle('Some S8 Symmlets at Various Scales and Locations',' ',' ');
// 
for iter = 1:nr
  j = posarray(iter,1);
  k = posarray(iter,2);
   
  //!! Unknown variable MakeWavelet ,the original calling sequence is used
  w = MakeWavelet(j,k,'Symmlet',8,'Mother',1024);
  mtlb_plot(t,iter+3*w);
  txt = mtlb_sprintf('(%1.0f,%2.0f)',j,k);
  xstring(0.87,iter+0.275,txt);
end
// 
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
