function []=toon0184()
// toon0184 -- Scale Families of Wavelets
// 
//  Show the Haar wavelet at various scales and locations
// 
mtlb_clf();
xsetech([0/1,0/1,1/1,1/1]);
posarray = [3,2;3,5;4,8;5,13;6,21;6,32;6,43;7,95];
sz = size(posarray);
nr = sz(1);
n = 1024;
w = zeros(1,n);
t = (0.5:n-0.5) ./ n;
t = t-0.5;
// 
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,0.5,0,nr+1]);
xtitle('Some Haarlets at Various Scales and Locations',' ',' ');
// 
for iter = 1:nr
  j = posarray(iter,1);
  k = posarray(iter,2);
   
  //!! Unknown variable MakeWavelet ,the original calling sequence is used
  w = MakeWavelet(j,k,'Haar',8,'Mother',1024);
   
  //! mtlb_fft(w) may be replaced by 
  //!      fft(w,-1) if wis a vector
   
  //!! Unknown variable fftshift ,the original calling sequence is used
  a = abs(fftshift(mtlb_fft(w)));
   
  //!  mtlb_max(a) may be replaced by 
  //!     max(a) if ais a vector
  //!     max(a,'r') if ais a matrix
  a = 0.9 ./ mtlb_max(a) .* a;
   
  //!! Unknown variable PlotSpikes ,the original calling sequence is used
  PlotSpikes(iter,t,a);
  txt = mtlb_sprintf('(%1.0f,%2.0f)',j,k);
  xstring(0.43,iter+0.275,txt);
end
// 
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
