function []=toon0311()
// toon0311 -- Analysis of Sinusoid with Haar Wavelet
// 
n = 4096;
t = (1:n) ./ n;
Sine = sin(2*%pi*t);
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Haar');
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wc = FWT_PO(Sine,1,qmf);
// 
// 
xsetech([0/2,0/2,1/2,1/2]);
mtlb_plot(t,Sine);
xtitle('Sine Wave',' ',' ');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable PlotWaveCoeff ,the original calling sequence is used
PlotWaveCoeff(wc,1,0.5);
xtitle('Haar Transform of Sine',' ',' ');
// 
xsetech([0/2,1/2,1/2,1/2]);
for j = 4:11
   
  //!! Unknown variable dyad ,the original calling sequence is used
   
  //! mtlb_e(wc,dyad(j)) may be replaced by wc(dyad(j))
  //!    wc(dyad(j)) if wc is a vector,
  //!    wc(dyad(j)).' if wc is a matrix.
  nrmr(1,j) = norm(mtlb_e(wc,dyad(j)));
end
mtlb_semilogy(4:11,nrmr(4:11));
xtitle('Levelwise norm of Haar Coefficients',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,11,10^(-6),10^1]);
// 
xsetech([1/2,1/2,1/2,1/2]);
%v = abs(wc)
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//!! Unknown variable reverse ,the original calling sequence is used
ordcoef = reverse(%v);
mtlb_semilogy(ordcoef);
xtitle('Ordered Haar Coefficients',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,300,10^(-6),10^1]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
