function []=toon0533()
// toon0533 -- Compare all four methods of analysis on seismic signal
// 
//  Show the compression curves for wavelet, DCT, wavelet packet,
//  and cosine packet analysis on the seismic signal.
// 
 
//!! Unknown variable ReadSignal ,the original calling sequence is used
trace = ReadSignal('Seismic')';
// note transpose
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wc = FWT_PO(trace,4,qmf);
// 
 
//!! Unknown variable BB_WP ,the original calling sequence is used
[wpcoef,bb] = BB_WP(trace,10,qmf);
// 
[cpcoef,cpbb] = BB_CP(trace,6);
// 
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dccoef = dct_iv(trace);
// 
%v = wpcoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
wprev = reverse(mtlb_cumsum(%v));
%v = wc.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
wcrev = reverse(mtlb_cumsum(%v));
%v = dccoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
dcrev = reverse(mtlb_cumsum(%v));
%v = cpcoef.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
cprev = reverse(mtlb_cumsum(%v));
ymax = log(wcrev(1))/log(10);
ymin = log(wcrev(100))/log(10);
// 
%v$2 = int((1-1)/1);%v$1 = 1-1-1*%v$2
xsetech([%v$1/1,%v$2/1,1/1,1/1]);
mtlb_semilogy(dcrev,'y--');
mtlb_hold('on');
mtlb_semilogy(wcrev,'b-');
mtlb_semilogy(wprev,'r:');
mtlb_semilogy(cprev,'g-.');
h = xstring(225,10^(ymax-0.3),'BBCP -.');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Green');
h = xstring(225,10^(ymax-0.6),'BBWP ..');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(225,10^(ymax-0.9),'DWT - ');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Blue');
h = xstring(225,10^(ymax-1.2),'DCT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,300,10^ymin,10^ymax]);
xtitle('Compression Numbers: Seismic',' ',' ');
xtitle(' ','m, number of coefficients retained',' ');
xtitle(' ',' ','c_m, (reconstruction error)^2');
mtlb_hold('off');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
