function []=toon0546()
// toon0546 -- Data Compression of Ingrid Daubechies
// 
//  Compare compression numbers for the wavelet and DCT
//  transforms of Daubechies.
// 
 
//! mtlb(ingrid) can be replaced by ingrid() or ingrid whether ingrid is an m-file or not
 
//!! Unknown variable dct2_iv ,the original calling sequence is used
fingrid = dct2_iv(mtlb(ingrid));
fcsort = -sort(-abs(fingrid(:)));
fcerr = cumsum(fcsort.^2);
fcerr = fcerr($:-1:1,:);
front = 1:5537;
ymax = fcerr(1);
txt1 = log(ymax)/log(10)-1;
txt2 = log(ymax)/log(10)-1.5;
// 
mtlb_semilogy(fcerr(front),'y--');
mtlb_hold();
 
//!! Unknown variable wcerr ,the original calling sequence is used
mtlb_semilogy(wcerr(front),'r-');
xtitle(' ','Number of Coefficients Retained',' ');
xtitle(' ',' ','sum(error^2)');
xtitle('Wavelet Compression vs. DCT Compression',' ',' ');
h = xstring(4000,10^txt1,'DCT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
h = xstring(4000,10^txt2,'DWT -');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
mtlb_hold('off');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
