function []=toon0821()
// toon0821 -- Some Cosine Packets in the Frequency Domain
// 
posarray = [1,0,64;2,1,32;3,2,16;4,4,8;5,8,4;6,16,2;7,32,1];
sz = size(posarray);
nr = sz(1);
n = 512;
w = zeros(1,n);
t = (0.5:n-0.5) ./ n;
// 
mtlb_clf();
xsetech([0/1,0/1,1/1,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,0.5,0,nr+1]);
xtitle('Some Cosine Packets in Frequency Domain',' ',' ');
t = t-0.5;
// 
for iter = 1:nr
  d = posarray(iter,1);
  b = posarray(iter,2);
  k = posarray(iter,3);
   
  //!! Unknown variable MakeCosinePacket ,the original calling sequence is used
  w = MakeCosinePacket(d,b,k,'Sine',7,n);
   
  //! mtlb_fft(w) may be replaced by 
  //!      fft(w,-1) if wis a vector
   
  //!! Unknown variable fftshift ,the original calling sequence is used
  a = abs(fftshift(mtlb_fft(w)));
   
  //!  mtlb_max(a) may be replaced by 
  //!     max(a) if ais a vector
  //!     max(a,'r') if ais a matrix
  a = 0.9 ./ mtlb_max(a) .* a;
   
  //!! Unknown variable PlotSpikes ,the original calling sequence is used
  PlotSpikes(iter,t,a);
  txt = mtlb_sprintf('(%1.0f,%2.0f,%2.0f)',d,b,k);
  xstring(0.43,iter+0.275,txt);
end
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
