function []=toon1612()
// toon1612 -- FBI Fingerprint Compression
// 
//  The United States Federal Bureau of Investigation uses a fixed
//  Wavelet Packet basis to compress fingerprints.  Here we illustrate
//  the compression of a sample fingerprint in this basis.
// 
//  Show first- and best- 5% reconstructions and the errors.
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Symmlet',8);
 
//! mtlb(fbi_tree) can be replaced by fbi_tree() or fbi_tree whether fbi_tree is an m-file or not
 
//! mtlb(finger) can be replaced by finger() or finger whether finger is an m-file or not
 
//!! Unknown variable FPT2_WP ,the original calling sequence is used
wfinger = FPT2_WP(mtlb(fbi_tree),mtlb(finger),qmf);
// 
wthresh = floor(0.05*262144);
cw_finger = matrix(wfinger(:)' .* (1:262144<wthresh),512,512);
 
//! mtlb(fbi_tree) can be replaced by fbi_tree() or fbi_tree whether fbi_tree is an m-file or not
 
//!! Unknown variable IPT2_WP ,the original calling sequence is used
r_finger = IPT2_WP(mtlb(fbi_tree),cw_finger,qmf);
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable AutoImage ,the original calling sequence is used
AutoImage(r_finger);
xtitle('First 5% Reconstruction',' ',' ');
xsetech([1/2,0/2,1/2,1/2]);
 
//! mtlb(finger) can be replaced by finger() or finger whether finger is an m-file or not
 
//!! Unknown variable AutoImage ,the original calling sequence is used
AutoImage(abs(mtlb(finger)-r_finger));
xtitle('First 5% Reconstruction Error',' ',' ');
// 
 
//!! Unknown variable reverse ,the original calling sequence is used
wcsort = reverse(-sort(-abs(wfinger(:))));
wthresh = wcsort(floor(0.05*262144));
cw_finger = wfinger .* bool2s(abs(wfinger)>wthresh);
 
//! mtlb(fbi_tree) can be replaced by fbi_tree() or fbi_tree whether fbi_tree is an m-file or not
 
//!! Unknown variable IPT2_WP ,the original calling sequence is used
r_finger = IPT2_WP(mtlb(fbi_tree),cw_finger,qmf);
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable AutoImage ,the original calling sequence is used
AutoImage(r_finger);
xtitle('Best 5% Reconstruction',' ',' ');
xsetech([1/2,1/2,1/2,1/2]);
 
//! mtlb(finger) can be replaced by finger() or finger whether finger is an m-file or not
 
//!! Unknown variable AutoImage ,the original calling sequence is used
AutoImage(abs(mtlb(finger)-r_finger));
xtitle('Best 5% Reconstruction Error',' ',' ');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
