function [mat]=RAW2MAT(filename,%lines,columns)
mat=[];
 
// RAW2MAT  mat = RAW2MAT(filename,lines,columns) loads a '.raw' file into
//          matrix 'mat' of size 'lines' * 'columns'.
 
[fid,%v] = mopen(filename,'r',0)
if %v<0 then fid = -1;end
mat = mtlb_fread(fid,[columns,%lines])';
status = mclose(fid);
//  if status == 0
//    disp('successful')
//  else
//    disp('unsuccessful')
//  end
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
