function [wp]=FWT_TI(x,L,qmf)
wp=[];
// FWT_TI -- translation invariant forward wavelet transform
//  Usage
//    TIWT = FWT_TI(x,L,qmf) 
//  Inputs
//    x        array of dyadic length n=2^J
//    L        degree of coarsest scale
//    qmf      orthonormal quadrature mirror filter 
//  Outputs
//    TIWT     stationary wavelet transform table
//             formally same data structure as packet table
// 
//  See Also
//    IWT_TI
// 
 
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(x);
D = J-L;
wp = zeros(n,D+1);
 
//!! Unknown function ShapeAsRow ,the original calling sequence is used
x = ShapeAsRow(x);
// 
wp(:,1) = x';
for d = 0:D-1
  for b = 0:2^d-1
     
    //!! Unknown function packet ,the original calling sequence is used
    s = wp(packet(d,b,n),1)';
     
    //!! Unknown function DownDyadHi ,the original calling sequence is used
    hsr = DownDyadHi(s,qmf);
     
    //!! Unknown function rshift ,the original calling sequence is used
     
    //!! Unknown function DownDyadHi ,the original calling sequence is used
    hsl = DownDyadHi(rshift(s),qmf);
     
    //!! Unknown function DownDyadLo ,the original calling sequence is used
    lsr = DownDyadLo(s,qmf);
     
    //!! Unknown function rshift ,the original calling sequence is used
     
    //!! Unknown function DownDyadLo ,the original calling sequence is used
    lsl = DownDyadLo(rshift(s),qmf);
     
    //!! Unknown function packet ,the original calling sequence is used
    wp(packet(d+1,2*b,n),d+2) = hsr';
     
    //!! Unknown function packet ,the original calling sequence is used
    wp(packet(d+1,2*b+1,n),d+2) = hsl';
     
    //!! Unknown function packet ,the original calling sequence is used
    wp(packet(d+1,2*b,n),1) = lsr';
     
    //!! Unknown function packet ,the original calling sequence is used
    wp(packet(d+1,2*b+1,n),1) = lsl';
  end
end
 
// 
// Copyright (c) 1994. David L. Donoho
// 
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
