function [ro]=realpolyroots(P,interval)
ro=[];
// Find all the real roots of poly. P within the real interval [a,b]
 
a = interval(1);
b = interval(2);
EPS = 10^(-10);
%v = P
ro = roots(poly(%v($:-1:1),'x'));
realpos = find(abs(imag(ro))<EPS)';
ro = real(ro(realpos));
pos = find((ro>a)&(ro<b))';
ro = ro(pos);
ro = -sort(-ro);
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
