function []=AdaptFig(num)
// AdaptFig -- callback for display of individual figures in AdaptDemo
global('ADAPTFIGNUM');
global('N','rho','qmf','L');
if (1<=num)&(num<=15) then
   
  //!! Unknown function FigNameString ,the original calling sequence is used
  figname = FigNameString('adfig',num);
   
  //! clc ignored
  // clc
   ;
   
  //! home ignored
  // home
   ;
  help(figname);
   
  //! mtlb_eval can be replaced by evstr if figname
  //! is a valid scilab instruction
  mtlb_eval(figname);
   
  //!! Unknown function RegisterPlot ,the original calling sequence is used
  RegisterPlot(figname,'{R}');
   
  //!! drawnow ignored
  // drawnow
   ;
  ADAPTFIGNUM = num;
elseif num==19 then
  // change default settings
  N = input('sample size for all figures, default 2048, must be power of 2?');
  rho = input('signal-to-noise ratio, default 7?');
  fam = input('family name of QMF, in quotes, default Symmlet?');
  ind = input('index of QMF family, default 8?');
   
  //!! Unknown function MakeONFilter ,the original calling sequence is used
  qmf = MakeONFilter(fam,ind);
  L = input('index of coarsest resolution level, default 6');
  ADAPTFIGNUM = 0;
elseif num==20 then
  //run all figures
   
  //!! Unknown function AdaptInit ,the original calling sequence is used
  AdaptInit();
  for num = 1:15
     
    //!! Unknown function FigNameString ,the original calling sequence is used
    figname = FigNameString('adfig',num);
     
    //! mtlb_eval can be replaced by evstr if figname
    //! is a valid scilab instruction
    mtlb_eval(figname);
     
    //!! Unknown function RegisterPlot ,the original calling sequence is used
    RegisterPlot(figname,'{R}');
     
    //! clc ignored
    // clc
     ;
     
    //! home ignored
    // home
     ;
    help(figname);
     
    //!! drawnow ignored
    // drawnow
     ;
    ADAPTFIGNUM = num;
  end
elseif num==21 then
  num = input('Figure to display (1 <= # <= 15)?');
  disp(num);
  if (1<=num)&(num<=15) then
     
    //! Not enough information using mtlb_exist instead of exists
    nihil = ~mtlb_exist('ADAPTFIGNUM');
    if ~nihil then
      empty = ADAPTFIGNUM==[];
    else
      empty = 1;
    end
    if ~empty then
      nil = ADAPTFIGNUM==0;
    else
      nil = 1;
    end
    if nil then
       
      //!! Unknown function AdaptInit ,the original calling sequence is used
      AdaptInit();
       
    end
     
    //!! Unknown function FigNameString ,the original calling sequence is used
    figname = FigNameString('adfig',num);
     
    //! clc ignored
    // clc
     ;
     
    //! home ignored
    // home
     ;
    help(figname);
     
    //! mtlb_eval can be replaced by evstr if figname
    //! is a valid scilab instruction
    mtlb_eval(figname);
     
    //!! Unknown function RegisterPlot ,the original calling sequence is used
    RegisterPlot(figname,'{R}');
     
    //!! drawnow ignored
    // drawnow
     ;
    ADAPTFIGNUM = num;
  end
elseif num==22 then
  //    figure;
  disp('ONLY JOKING');
elseif num==23 then
  //    print adapt.ps
  disp('ONLY JOKING');
else
  disp('Bizarre argument in AdaptFig');
  disp(mtlb_sprintf('num =%g',num));
end
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
