function []=IMJPlotMultiRes(wavecoef,L,scal,QMF)
// IMJPlotMultiRes -- Mallat-Style MRA plot -- IJ version with changed axis labelling
// 
if scal==0 then
   
  //!  mtlb_max(abs(wavecoef)) may be replaced by 
  //!     max(abs(wavecoef)) if abs(wavecoef)is a vector
  //!     max(abs(wavecoef),'r') if abs(wavecoef)is a matrix
  scal = 1/mtlb_max(abs(wavecoef));
end
 
//!! Unknown function dyadlength ,the original calling sequence is used
[n,J] = dyadlength(wavecoef);
 
//!! Unknown function LockAxes ,the original calling sequence is used
LockAxes([0,1,L-2,J]);
t = (0.5:n-0.5)/n;
// 
for j = J-1:-1:L
  w = zeros(1,n);
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //!! Unknown function dyad ,the original calling sequence is used
   
  //! mtlb_e(wavecoef,dyad(j)) may be replaced by wavecoef(dyad(j))
  //!    wavecoef(dyad(j)) if wavecoef is a vector,
  //!    wavecoef(dyad(j)).' if wavecoef is a matrix.
  %v1 = mtlb_e(wavecoef,dyad(j))
  w(1,dyad(j)) = %v1(:).';
   
  //!! Unknown function IWT_PO ,the original calling sequence is used
  x = IWT_PO(w,j,QMF);
  mtlb_plot(t,j+scal .* x);
end
w = zeros(1,n);
w(1:2^L) = wavecoef(1:2^L)
 
//!! Unknown function IWT_PO ,the original calling sequence is used
x = IWT_PO(w,L,QMF);
mtlb_plot(t,L-1+scal .* x);
//xlabel('Spatial Var.'); ylabel('Dyadic Resolution Level');
//title('Multi-Resolution Decomposition');
 
//!! Unknown function UnlockAxes ,the original calling sequence is used
UnlockAxes();
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
