function []=adfig08()
// adfig08 -- Adapt Figure 08: S8 Wavelet Coefficients of the Four Functions
// 
// Here we display the wavelet coefficients of the four functions,
// stratified by scale and location.  The significant coefficients
// occur in locations of significant spatial variability.  For
// locally smooth functions, the coefficients tend to be small
// at fine scales.
// 
global('L');
global('Blocks','Bumps','HeaviSine','Doppler');
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
mtlb_clf();
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wx = FWT_PO(Blocks,L,S8QMF);
 
//!! Unknown variable IMJPlotWaveCoeff ,the original calling sequence is used
IMJPlotWaveCoeff(wx,L,0);
xtitle(' 8 (a) Blocks ',' ',' ');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wx = FWT_PO(Bumps,L,S8QMF);
 
//!! Unknown variable IMJPlotWaveCoeff ,the original calling sequence is used
IMJPlotWaveCoeff(wx,L,0);
xtitle(' 8 (b) Bumps ',' ',' ');
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wx = FWT_PO(HeaviSine,L,S8QMF);
 
//!! Unknown variable IMJPlotWaveCoeff ,the original calling sequence is used
IMJPlotWaveCoeff(wx,L,0);
xtitle(' 8 (c) HeaviSine ',' ',' ');
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wx = FWT_PO(Doppler,L,S8QMF);
 
//!! Unknown variable IMJPlotWaveCoeff ,the original calling sequence is used
IMJPlotWaveCoeff(wx,L,0);
xtitle(' 8 (d) Doppler ',' ',' ');
//axis
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
