function [x]=steintrunc(y,sig)
x=[];
// steintrunc -- Perform Truncation
//  Usage
//    x = steintrunc(y,sig)
// 
 
u = opttrunc(y ./ sig);
 
//! mtlb_min(u) may be replaced by 
//!   min(u) if uis a vector
//!   min(u,'r') if uis a matrix
t = mtlb_min(u);
indmin = matrix(find(u==t),1,-1);
 
//! unknown arg type, using mtlb_length 
x = y .* bool2s((1:mtlb_length(y))<=indmin);
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
