function [new_res]=MonitorPursuit(%type,nuc,t,amax,res,a,dp,D,pktype)
new_res=[];
// MonitorPursuit -- Display intermediate Pursuit progress
//  Usage
//    new_res = MonitorPursuit(type,nuc,t,amax,res,dp,D,pktype)
// 
//  Description
//    Utility used by WPPursuit & CPPursuit. Not intended for other use.
// 
if (nuc-fix(nuc./5).*5)==0 then
  mtlb_clf();
  xsetech([0/2,0/1,1/2,1/1]);
   
  //!! Unknown function LockAxes ,the original calling sequence is used
  LockAxes([0,1,nuc,nuc+6]);
  xtitle(mtlb_sprintf('Terms to enter at steps (%g:%g)',nuc+1,nuc+5),' ',' ');
  xsetech([1/2,0/1,1/2,1/1]);
   
  //!! Unknown function LockAxes ,the original calling sequence is used
  LockAxes([0,1,nuc-1,nuc+5]);
  xtitle(mtlb_sprintf('Residuals at steps (%g:%g)',nuc,nuc+4),' ',' ');
end
// 
if %type=='CP' then
  newterm = CPSynthesis(zeros(1,2^D),dp,pktype);
else
  newterm = dp(:,1)';
end
// 
xsetech([0/2,0/1,1/2,1/1]);
mtlb_plot(t,nuc+1+newterm .* (a/(3*amax)));
new_res = res-a .* newterm;
xsetech([1/2,0/1,1/2,1/1]);
mtlb_plot(t,nuc+res ./ (3*amax));
 
//!! drawnow ignored
// drawnow
 ;
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
