//function []=WavePath()
//  WavePath -- initialize path to include WaveLab 
// 
// 
disp('Welcome to WaveLab v 802 \n');
disp('Scilab Users Please Wait : Charging the librairies with getd');
disp('if you need only a few librairies you can comment some lines'); 
disp('Setting Paths');

WAVELABPATH='';   /// PUT HERE THE PATH OF THIS DIRECTORY

//pause
global('WAVELABPATH');
global('PATHNAMESEPARATOR');
//global('PREFERIMAGEGRAPHICS');
global('MATLABPATHSEPARATOR');
//global('WLVERBOSE');
// 
//WLVERBOSE = 'Yes';
//PREFERIMAGEGRAPHICS = 1;
// 
 
//! mtlb(computer) can be replaced by computer() or computer whether computer is an m-file or not
//Friend = mtlb(computer);
 
//! mtlb(isunix) can be replaced by isunix() or isunix whether isunix is an m-file or not
//if Friend=='MAC2' then
//  PATHNAMESEPARATOR = ':';
//  WAVELABPATH = 'Macintosh HD:Build 802:Wavelab$VERSION$'+PATHNAMESEPARATOR;
//  MATLABPATHSEPARATOR = ';';
//elseif mtlb(isunix) then
  PATHNAMESEPARATOR = '/';
//  WAVELABPATH = getcwd()+PATHNAMESEPARATOR;
//  MATLABPATHSEPARATOR = ':';
//elseif Friend(1:2)=='PC' then
//  PATHNAMESEPARATOR = '\';
//  WAVELABPATH = getcwd()+PATHNAMESEPARATOR;
  MATLABPATHSEPARATOR = ';';
//else
//  disp('I don*t recognize this computer; ');
//  disp('Pathnames not set; solution: edit WavePath.m');
//end
// 
//global('MATLABVERSION');
 
//! mtlb(version) can be replaced by version() or version whether version is an m-file or not
//V = mtlb(version);
//[MATLABVERSION,%v]=evstr(V(1:3))
// 
//if MATLABVERSION<5 then
//  disp('Warning: This version is only supported on Matlab 5.x');
//end
// 
// Basic Tools
 
//! mtlb(path) can be replaced by path() or path whether path is an m-file or not
//p = mtlb(path);
pref = [MATLABPATHSEPARATOR,WAVELABPATH];
post = PATHNAMESEPARATOR;
//p = [p,pref];
// 
 getd('Biorthogonal');
 getd('Continuous');
 getd('Datasets');
 getd('DeNoising');
//p = getd('Documentation');   // no .sci files there 
 getd('FastAlgorithms');
 getd('Fractals');
 getd('Interpolating');
//p = getd('MEXSource');  // no .sci files there 
 getd('Median');
 getd('Median'+PATHNAMESEPARATOR+'HigherDegree');
 getd('Meyer');
 getd('Orthogonal');
 getd('Packets'+PATHNAMESEPARATOR+'One-D');  
 getd('Packets'+PATHNAMESEPARATOR+'Two-D');
//p = getd('Papers');// no .sci files there 
 getd('Pursuit');
 getd('Invariant');
 getd('Utilities');
 getd('TimeFrequency');
 
 
//p = getd('Workouts');// no .sci files there 
// 
// Papers
//pref = [MATLABPATHSEPARATOR,WAVELABPATH];
//pref = pref+'Papers'+post;
//p = getd(pref+'Adapt'); /// NO TRANSLATION 
//p = getd(pref+'Asymp');        /// NO TRANSLATION 
//p = getd(pref+'Blocky');        /// NO TRANSLATION 
//p = getd(pref+'Correl');         ///
//p = getd(pref+'Ideal');         ///
//p = getd(pref+'MinEntSeg');      ///
//p = getd(pref+'MIPT');            /// 
//p = getd(pref+'RiskAnalysis');   ///
//p = getd(pref+'ShortCourse');    ///
//p = getd(pref+'SpinCycle');      ///
//p = getd(pref+'Tour');         ///
//p = getd(pref+'VillardDeLans');  ///
// 
//pref = [MATLABPATHSEPARATOR,WAVELABPATH];
//pref = pref+'Workouts'+post; /// NO TRANSLATION 
//p = getd(pref+'BestOrthoBasis'); /// NO TRANSLATION 
//p = getd(pref+'MatchingPursuit'); /// NO TRANSLATION 
//p = getd(pref+'Toons');///
//p = getd(pref+'MultiFractal');///
// 
// Browsers
//pref = [MATLABPATHSEPARATOR,WAVELABPATH];
//pref = pref+'Browsers'+post;
//p = getd('Browsers'+'One-D');
//p = getd('WaveTour');
// 
//pref = [MATLABPATHSEPARATOR,WAVELABPATH];
// 
// Book(s)
//pref = [MATLABPATHSEPARATOR,WAVELABPATH];
//pref = pref+'Books'+PATHNAMESEPARATOR+'WaveTour');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh02');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh04');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh05');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh06');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh07');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh08');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh09');
//p = getd(pref+'Books'+PATHNAMESEPARATOR+'WaveTour'+'WTCh10');
// 
 
//!! Unknown variable path ,the original calling sequence is used
//path(p);
disp('Pathnames Successfully Set');
disp('Warnings are due to multiple presence of the same functions in different directories');

//clear('p','pref','post');
// 
// 
/// mtlb_fprintf('global WAVELABPATH = ""%s""\n',WAVELABPATH);
//// mtlb_fprintf('global PATHNAMESEPARATOR = ""%s""; ',PATHNAMESEPARATOR);
//mtlb_fprintf('global MATLABVERSION = %g\n',MATLABVERSION);
//mtlb_fprintf('global PREFERIMAGEGRAPHICS = %g\n',PREFERIMAGEGRAPHICS);
//mtlb_fprintf('WaveLab v 802 Setup Complete\n\n');
//mtlb_fprintf('Available Demos - Figures from the following papers:\n');
//mtlb_fprintf('  AdaptDemo  - ``Adapting to Unknown Smoothness via Wavelet Shrinkage''''\n');
//mtlb_fprintf('  AsympDemo  - ``Wavelet Shrinkage: Asymptopia?''''\n');
//mtlb_fprintf('  BlockyDemo - ``Smooth Wavelet Decompositions with Blocky Coefficient Kernels''''\n');
//mtlb_fprintf('  CorrelDemo - ``Wavelet Threshold Estimators for Data with Correlated Noise''''\n');
//mtlb_fprintf('  IdealDemo  - ``Ideal Spatial Adaptation via Wavelet Shrinkage''''\n');
//mtlb_fprintf('  MESDemo    - ``Minimum Entropy Segmentation''''\n');
//mtlb_fprintf('  MIPTDemo  - ``Nonlinear Wavelet Transforms based on Median-Interpolaton''''\n');
//mtlb_fprintf('  RiskDemo  - ``Exact Risk Analysis of Wavelet Regression''''\n');
//mtlb_fprintf('  SCDemo     - ``Nonlinear Wavelet Methods for Recovery of Signals, Densities\n');
//mtlb_fprintf('                  and Spectra from Indirect and Noisy Data''''\n');
//mtlb_fprintf('  SpinDemo   - ``Translation-Invariant De-Noising''''\n');
//mtlb_fprintf('  TourDemo   - ``Wavelet Shrinkage and W.V.D. -- A Ten-Minute Tour''''\n');
//mtlb_fprintf('  VdLDemo    - ``WaveLab and Reproducible Research''''\n\n');
//mtlb_fprintf('Available Workouts:\n');
//mtlb_fprintf('  BBWorkout  - Workouts for Best Basis\n');
//mtlb_fprintf('  MPWorkout  - Workouts for Matching Pursuit\n');
//mtlb_fprintf('  MultiFrac  - Workouts for Continuous Wavelet Transform\n');
//mtlb_fprintf('  Toons      - The Cartoon Guide to Wavelets\n\n');
//mtlb_fprintf('Available Book(s):\n');
//mtlb_fprintf('  WaveTour   - ``WaveLet Tour of Signal Processing''''\n\n');
// 
// 
// the next statement leaves items in global workspace
//  but hides them from local workspace
// 
//clear('WAVELABPATH','MATLABVERSION','PATHNAMESEPARATOR');
//clear('Friend','PREFERIMAGEGRAPHICS','MATLABPATHSEPARATOR');
