function []=BBWork12()
// BBWork12 -- Illustrate CP Analysis Techniques on SlowChirp
// 
n = 1024;
t = (0:n-1) ./ n;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
D = 6;
// 
// Signals
// 
xi = %pi/5 .* t;
SlowChirp = cos(xi .* (1:n));
// 
// 
// Next Illustrate WP on SlowChirp
// 
x = SlowChirp;
titlestr = 'SlowChirp';
// 
 
//!! Unknown variable CPAnalysis ,the original calling sequence is used
cp = CPAnalysis(x,D,'Sine');
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable PlotPacketTable ,the original calling sequence is used
PlotPacketTable(cp);
signaltitle = 'Cosine Packet Decomposition of '+titlestr;
xtitle(signaltitle,' ',' ');
xtitle(' ',' ','Split Level');
xtitle(' ','Time[Frequency]',' ');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig121.ps');
// 
 
//!! Unknown variable CalcStatTree ,the original calling sequence is used
stree = CalcStatTree(cp,'Entropy');
 
//!! Unknown variable BestBasis ,the original calling sequence is used
[btree,vtree] = BestBasis(stree,D);
signaltitle = ' CP Best Basis; '+titlestr;
 
//!! Unknown variable PlotBasisTree ,the original calling sequence is used
PlotBasisTree(btree,D,stree,signaltitle);
xtitle(' ','Splits of Time Domain',' ');
xtitle(' ',' ','Entropy Drop');
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig122.ps');
// 
 
//!! Unknown variable ImagePhasePlane ,the original calling sequence is used
ImagePhasePlane('CP',btree,cp,signaltitle);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig123.ps');
// 
 
//!! Unknown variable CPTour ,the original calling sequence is used
CPTour('P',x,D,titlestr);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,500,-10,10]);
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'bbfig124.ps');
// 
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
