function []=MPWork61()
// MPWork61 -- Matching-Pursuit, Best-Basis Compression
// 
//   Comparison on Four Basic Signals:
// 
//      LinChirp
//   TwoChirp
//  QuadChirp
//  MishMash
// 
// Must be run after MPWork21, MPWork31
// 
n = 1024;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
 
//! mtlb(compressfig) can be replaced by compressfig() or compressfig whether compressfig is an m-file or not
xset('window',mtlb(compressfig))
// 
for i = 1:4
  // 
  if i==1 then
    SigName = 'LinChirp';
  elseif i==2 then
    SigName = 'TwoChirp';
  elseif i==3 then
    SigName = 'QuadChirp';
  elseif i==4 then
    SigName = 'MishMash';
  end
  // 
   
  //!! Unknown variable MakeSignal ,the original calling sequence is used
  hs = MakeSignal(SigName,n);
  // 
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
  Compare4Decomp(hs,SigName,qmf,10,6);
  // 
end
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'mp_fig611.ps');
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
