function []=MPWork62()
// MPWork62 -- Matching-Pursuit, Best-Basis Compression
// 
//   Comparison on Four Complex Signals:
// 
//      Sorrows
//   Riemann
//  Seismic
//  Tweet
// 
// Must be run after MPWork22, MPWork32
// 
// 
n = 1024;
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
 
//! mtlb(compressfig) can be replaced by compressfig() or compressfig whether compressfig is an m-file or not
xset('window',mtlb(compressfig))
// 
for i = 1:4
  // 
  if i==1 then
    SigName = 'WernerSorrows';
     
    //!! Unknown variable MakeSignal ,the original calling sequence is used
    hs = MakeSignal(SigName,n);
    SigName = 'Sorrows';
  elseif i==2 then
    SigName = 'Riemann';
     
    //!! Unknown variable MakeSignal ,the original calling sequence is used
    hs = MakeSignal(SigName,n);
    hs = hs ./ norm(hs) .* sqrt(1000);
  elseif i==3 then
    SigName = 'Seismic';
     
    //!! Unknown variable ReadSignal ,the original calling sequence is used
    hs = ReadSignal('Seismic')';
    hs = hs ./ norm(hs) .* sqrt(1000);
  elseif i==4 then
    SigName = 'Tweet';
    mtlb_load('cwarb.mat');
     
    //!! Unknown variable cwarb ,the original calling sequence is used
    hs = cwarb(4000:12191)';
    hs = hs ./ norm(hs) .* sqrt(8192);
  end
  // 
  %v1$2 = int((i-1)/2);%v1$1 = i-1-2*%v1$2
  xsetech([%v1$1/2,%v1$2/2,1/2,1/2]);
  Compare4Decomp(hs,SigName,qmf,10,6);
  // 
end
// 
 
//!! Unknown variable ifprint ,the original calling sequence is used
ifprint(xget('window'),'mp_fig621.ps');
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
