function []=MFWork01()
// MFWork01: Multifractal Workout: CWT Analysis of Cantor Signal
// 
// modifiable parameters
N = 4096;
// signal length; fairly large
nvoice = 12;
// Following JS Bach, Well-Tempered Klavier
// 
// create a Brownian
 
//!! Unknown variable MakeFractal ,the original calling sequence is used
CantorMeasure = MakeFractal(N,3,'Deterministic',[0.5,0,0.5]);
 
//! mtlb_cumsum(CantorMeasure) may be replaced by 
//! cumsum(CantorMeasure) if CantorMeasureis a vector
//! cumsum(CantorMeasure,1) if CantorMeasureis a matrix
Devil = mtlb_cumsum(CantorMeasure);
t = (0.5:N-0.5) ./ N;
xset('window',max(winsid()+1))
max(winsid());
mtlb_plot(t,Devil);
xtitle(mtlb_sprintf(' Devil Staircase Signal'),' ',' ');
// 
// make CWT
// Devil = Devil - Devil(N) .*t; 
 
//!! Unknown variable CWT ,the original calling sequence is used
Devil_cwt = CWT(Devil,nvoice,'Sombrero');
sz = size(Devil_cwt);
nscale = sz(2);
// 
// display CWT
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable ImageCWT ,the original calling sequence is used
ImageCWT(Devil_cwt,'Individual','hot');
xtitle('CWT',' ',' ');
// 
// Build Maxima Map
 
//!! Unknown variable WTMM ,the original calling sequence is used
Devil_maxmap = WTMM(Devil_cwt);
// display maxmap
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable ImageWTMM ,the original calling sequence is used
ImageWTMM(Devil_maxmap);
// 
// Identify Ridges
 
//!! Unknown variable BuildSkelMapFast ,the original calling sequence is used
[skm,skp,skl] = BuildSkelMapFast(Devil_maxmap);
// 
// display Ridges
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable PlotSkelMap ,the original calling sequence is used
PlotSkelMap(N,nscale,skm,skp,skl);
// 
// RidgePlots
ridgelist = [6,7,13,29,76,115];
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable PlotRidges ,the original calling sequence is used
PlotRidges(ridgelist,Devil_cwt,skm,skp,skl);
// 
// PruneRidges
 
//!! Unknown variable PruneSkelMap ,the original calling sequence is used
[skellist,skelptr,skellen] = PruneSkelMap(Devil_cwt,0.001,1,skm,skp,skl);
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable PlotSkelMap ,the original calling sequence is used
PlotSkelMap(N,nscale,skellist,skelptr,skellen);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
