function []=MFWork02()
// MFWork02: Multifractal Workout: CWT Analysis of Brownian Signal
// 
// modifiable parameters
N = 4096;
// signal length; fairly large
nvoice = 12;
// Following JS Bach, Well-Tempered Klavier
H = 0.333333;
// Fractional exponent 1/3
// 
// create a Brownian
 
//!! Unknown variable MakeBrownian ,the original calling sequence is used
fBr = MakeBrownian(N,H);
t = (0.5:N-0.5) ./ N;
xset('window',max(winsid()+1))
max(winsid());
mtlb_plot(t,fBr);
xtitle(mtlb_sprintf('Fractional Brownian Signal, H= %g',H),' ',' ');
// 
// make CWT 
 
//!! Unknown variable CWT ,the original calling sequence is used
cwt_fBr = CWT(fBr,nvoice,'Gauss');
sz = size(cwt_fBr);
nscale = sz(2);
// 
// display CWT
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable ImageCWT ,the original calling sequence is used
ImageCWT(cwt_fBr,'Individual','hot');
xtitle('CWT',' ',' ');
// 
// Build Maxima Map
 
//!! Unknown variable WTMM ,the original calling sequence is used
maxmap = WTMM(cwt_fBr);
// 
// display maxmap
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable ImageWTMM ,the original calling sequence is used
ImageWTMM(maxmap);
// 
// Identify Ridges
 
//!! Unknown variable BuildSkelMap ,the original calling sequence is used
[skm,skp,skl] = BuildSkelMap(maxmap);
// 
// display Ridges
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable PlotSkelMap ,the original calling sequence is used
PlotSkelMap(N,nscale,skm,skp,skl);
// 
// RidgePlots
ridgelist = [6,7,14,17,31,27,53,62];
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable PlotRidges ,the original calling sequence is used
PlotRidges(ridgelist,cwt_fBr,skm,skp,skl);
// 
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
