function [%sparse]=KeepBiggest(dense,N)
%sparse=[];
// KeepBiggest -- Kill (set to zero) all but N biggest elements
//  Usage
//    sparse = KeepBiggest(dense,N)
// 
 
//!! Unknown function reverse ,the original calling sequence is used
ordered = reverse(-sort(-abs(dense(:))));
 
//! mtlb_e(ordered,N) may be replaced by ordered(N)
//!    ordered(N) if ordered is a vector,
//!    ordered(N).' if ordered is a matrix.
threshold = mtlb_e(ordered,N);
%sparse = dense .* bool2s(abs(dense)>=threshold);
 
 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
 
