function []=toon0113()
// toon0113 -- Average Interpolating Wavelets
// 
//   Wavelet analysis begins by choosing a specific family of wavelets
//   to work with.
// 
//   The family is specified by a father and a mother wavelet, and
//   these generate a basis by translation and dilation.
// 
//   Here we illustrate four specific Mother wavelets
// 
//       AverageInterp 3 
//       AverageInterp 5 
//       AverageInterp 7   
//       AverageInterp 9   
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'AverageInterpolating',2,'Mother',1024);
xsetech([0/2,0/2,1/2,1/2]);
t = (1:1024) ./ 1024;
mtlb_plot(t(300:800),wave(300:800));
xtitle('Average Interpolating Wavelet (Deg 2)',' ',' ');
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'AverageInterpolating',4,'Mother',1024);
xsetech([1/2,0/2,1/2,1/2]);
mtlb_plot(t(300:800),wave(300:800));
xtitle('Average Interpolating Wavelet (Deg 4)',' ',' ');
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'AverageInterpolating',6,'Mother',1024);
xsetech([0/2,1/2,1/2,1/2]);
mtlb_plot(t(300:800),wave(300:800));
xtitle('Average Interpolating Wavelet (Deg 6)',' ',' ');
// 
 
//!! Unknown variable MakeWavelet ,the original calling sequence is used
wave = MakeWavelet(4,8,'AverageInterpolating',8,'Mother',1024);
xsetech([1/2,1/2,1/2,1/2]);
mtlb_plot(t(300:800),wave(300:800));
xtitle('Average Interpolating Wavelet (Deg 8)',' ',' ');
// 
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
