function []=toon0142()
// toon0142 -- Illustrating Boundary Wavelets
// 
//  On a finite interval, one has also to make a choice about the
//  boundary behavior.  The two choices:
// 
//  1. Periodization. The wavelets that encounter the boundary, 
//     simply wrap around, as if the interval were a circle.
// 
//  2. Boundary-Adjustment. The wavelets located near the boundary
//     are deformed versions of the wavelets at the interior.
// 
//  Here we display wavelets at the interior of an interval, and
//  the two different behaviors the same wavelets can show at the boundary.
// 
w = zeros(1,1024);
t = (0:1023) ./ 1024;
// 
// 3. Plot Periodized Boundary-Wavelets
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
QMF = MakeONFilter('Daubechies',6);
 
//!! Unknown variable dyad2ix ,the original calling sequence is used
w(dyad2ix(4,15)) = 1
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
psi415 = IWT_PO(w,3,QMF);
 
//!! Unknown variable dyad2ix ,the original calling sequence is used
w(dyad2ix(4,15)) = 0
// 
 
//!! Unknown variable dyad2ix ,the original calling sequence is used
w(dyad2ix(4,14)) = 1
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
psi414 = IWT_PO(w,3,QMF);
 
//!! Unknown variable dyad2ix ,the original calling sequence is used
w(dyad2ix(4,14)) = 0
// 
w(16) = 1
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
phi415 = IWT_PO(w,4,QMF);
// 
w(15:16) = [1,0]
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
phi414 = IWT_PO(w,4,QMF);
w(15) = 0
// clf;
xsetech([0/2,0/2,1/2,1/2]);
mtlb_plot(t,psi415);
xtitle('Periodized Mother Wavelet {4,15}; N=3',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.25,0.25]);
xsetech([1/2,0/2,1/2,1/2]);
mtlb_plot(t,psi414);
xtitle('Periodized Mother Wavelet {4,14}; N=3',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.25,0.25]);
xsetech([0/2,1/2,1/2,1/2]);
mtlb_plot(t,phi415);
xtitle('Periodized Father Wavelet {4,15}; N=3',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.25,0.25]);
xsetech([1/2,1/2,1/2,1/2]);
mtlb_plot(t,phi414);
xtitle('Periodized Father Wavelet {4,14}; N=3',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,1,-0.25,0.25]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
