function []=toon0433()
// toon0433 -- Best-m Compression Numbers of Four Objects
//  
//  Plot the compression numbers for the S8 wavelet transforms
//  of each of the four signals.  These curves illustrate the
//  gain in accuracy obtained by using an additional coefficient
//  in the reconstruction.  These curves are based on taking the
//  best-m coefficients. 
// 
n = 2048;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Bumps = MakeSignal('Bumps',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
HeaviSine = MakeSignal('HeaviSine',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Blocks = MakeSignal('Blocks',n);
t = (1:n) ./ n;
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcBumps = FWT_PO(Bumps,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcBlocks = FWT_PO(Blocks,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcDoppler = FWT_PO(Doppler,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcHeaviSine = FWT_PO(HeaviSine,4,S8QMF);
// 
xsetech([0/2,0/2,1/2,1/2]);
%v = wcBlocks.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(%v)));
xtitle('Blocks; Best-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','c_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
xsetech([1/2,0/2,1/2,1/2]);
%v = wcBumps.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(%v)));
xtitle('Bumps; Best-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','c_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
xsetech([0/2,1/2,1/2,1/2]);
%v = wcHeaviSine.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(%v)));
xtitle('HeaviSine; Best-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','c_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
xsetech([1/2,1/2,1/2,1/2]);
%v = wcDoppler.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//! mtlb_cumsum(%v) may be replaced by 
//! cumsum(%v) if %vis a vector
//! cumsum(%v,1) if %vis a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(%v)));
xtitle('Doppler; Best-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','c_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
