function []=toon0444()
// toon0444 -- First-m Compression Numbers in DCT & DWT of Four Objects
// 
//  Compare the accuracy of first-m reconstructions of four
//  signals with the Wavelet and DCT transforms.
// 
n = 2048;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Bumps = MakeSignal('Bumps',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Doppler = MakeSignal('Doppler',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
HeaviSine = MakeSignal('HeaviSine',n);
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Blocks = MakeSignal('Blocks',n);
t = (1:n) ./ n;
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
S8QMF = MakeONFilter('Symmlet',8);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcBumps = FWT_PO(Bumps,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcBlocks = FWT_PO(Blocks,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcDoppler = FWT_PO(Doppler,4,S8QMF);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcHeaviSine = FWT_PO(HeaviSine,4,S8QMF);
// 
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dctBumps = dct_iv(Bumps);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dctBlocks = dct_iv(Blocks);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dctDoppler = dct_iv(Doppler);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dctHeaviSine = dct_iv(HeaviSine);
// 
xsetech([0/2,0/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcBlocks.^2)) may be replaced by 
//! cumsum(reverse(wcBlocks.^2)) if reverse(wcBlocks.^2)is a vector
//! cumsum(reverse(wcBlocks.^2),1) if reverse(wcBlocks.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcBlocks.^2))),'y--');
mtlb_hold('on');
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(dctBlocks.^2)) may be replaced by 
//! cumsum(reverse(dctBlocks.^2)) if reverse(dctBlocks.^2)is a vector
//! cumsum(reverse(dctBlocks.^2),1) if reverse(dctBlocks.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(dctBlocks.^2))),'r-');
xtitle('Blocks; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
h = xstring(350,10^4,'DCT -');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(350,10^3,'DWT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
// 
xsetech([1/2,0/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcBumps.^2)) may be replaced by 
//! cumsum(reverse(wcBumps.^2)) if reverse(wcBumps.^2)is a vector
//! cumsum(reverse(wcBumps.^2),1) if reverse(wcBumps.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcBumps.^2))),'y--');
mtlb_hold('on');
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(dctBumps.^2)) may be replaced by 
//! cumsum(reverse(dctBumps.^2)) if reverse(dctBumps.^2)is a vector
//! cumsum(reverse(dctBumps.^2),1) if reverse(dctBumps.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(dctBumps.^2))),'r-');
xtitle('Bumps; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
h = xstring(350,10^4,'DCT -');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(350,10^3,'DWT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
// 
xsetech([0/2,1/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcHeaviSine.^2)) may be replaced by 
//! cumsum(reverse(wcHeaviSine.^2)) if reverse(wcHeaviSine.^2)is a vector
//! cumsum(reverse(wcHeaviSine.^2),1) if reverse(wcHeaviSine.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcHeaviSine.^2))),'y--');
mtlb_hold('on');
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(dctHeaviSine.^2)) may be replaced by 
//! cumsum(reverse(dctHeaviSine.^2)) if reverse(dctHeaviSine.^2)is a vector
//! cumsum(reverse(dctHeaviSine.^2),1) if reverse(dctHeaviSine.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(dctHeaviSine.^2))),'r-');
xtitle('HeaviSine; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
h = xstring(350,10^4,'DCT -');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(350,10^3,'DWT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
// 
xsetech([1/2,1/2,1/2,1/2]);
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(wcDoppler.^2)) may be replaced by 
//! cumsum(reverse(wcDoppler.^2)) if reverse(wcDoppler.^2)is a vector
//! cumsum(reverse(wcDoppler.^2),1) if reverse(wcDoppler.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(wcDoppler.^2))),'y--');
mtlb_hold('on');
 
//!! Unknown variable reverse ,the original calling sequence is used
 
//! mtlb_cumsum(reverse(dctDoppler.^2)) may be replaced by 
//! cumsum(reverse(dctDoppler.^2)) if reverse(dctDoppler.^2)is a vector
//! cumsum(reverse(dctDoppler.^2),1) if reverse(dctDoppler.^2)is a matrix
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_semilogy(reverse(mtlb_cumsum(reverse(dctDoppler.^2))),'r-');
xtitle('Doppler; First-m',' ',' ');
xtitle(' ','m',' ');
xtitle(' ',' ','d_m');
 
//!! Unknown variable axis ,the original calling sequence is used
axis([0,512,1,10^5]);
h = xstring(350,10^4,'DCT -');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Red');
h = xstring(350,10^3,'DWT --');
 
//!! Scilab set function is a partial emulation of the Matlab one
set(h,'Color','Yellow');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
