function []=toon0451()
// toon0451 -- Unconditional Basis Property
// 
//       Consider the Signal ---
// 
//             Ramp = t - (t >= .37);
// 
//     What do we get if we ``shrink'' the coefficients in its
//           wavelet expansions?
//     Here we will randomly shrink each coefficient to an amount
//           between 60% and 100% of its former size, and reconstruct.
//     We will compare this with the same operation in the Cosine
//           Transform domain
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
// 
n = 1024;
t = (1:n) ./ n;
 
//!! Unknown variable MakeSignal ,the original calling sequence is used
Ramp = MakeSignal('Ramp',n);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wcRamp = FWT_PO(Ramp,3,qmf);
 
//!! Unknown variable dct_iv ,the original calling sequence is used
dcRamp = dct_iv(Ramp);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
haRamp = FWT_PO(Ramp,1,MakeONFilter('Haar'));
// 
%v=size(wcRamp)
swDWT = wcRamp .* (0.6+0.4 .* rand(%v(1),%v(2),'u'));
%v=size(wcRamp)
swDCT = dcRamp .* (0.6+0.4 .* rand(%v(1),%v(2),'u'));
%v=size(wcRamp)
swDHT = haRamp .* (0.6+0.4 .* rand(%v(1),%v(2),'u'));
// 
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PertWT = IWT_PO(swDWT,3,qmf);
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
PertHT = IWT_PO(swDHT,1,MakeONFilter('Haar'));
 
//!! Unknown variable dct_iv ,the original calling sequence is used
PertDCT = dct_iv(swDCT);
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,Ramp);
xtitle('Ramp',' ',' ');
ax = [0,1,-0.6,0.4];
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
// 
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,PertWT);
xtitle('Shrunk in S8 Wavelet Domain',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
%v$2 = int((3-1)/2);%v$1 = 3-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,PertHT);
xtitle('Shrunk in Haar Domain',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
%v$2 = int((4-1)/2);%v$1 = 4-1-2*%v$2
xsetech([%v$1/2,%v$2/2,1/2,1/2]);
mtlb_plot(t,PertDCT);
xtitle('Shrunk in Cosine Domain',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
