function []=toon0531()
// toon0531 -- Compress/Decompress Seismic Trace
// 
//  Try and compress the seismic trace using the top 100 wavelet
//  coefficients.  Plot the reconstruction and the error.
// 
 
//!! Unknown variable ReadSignal ,the original calling sequence is used
trace = ReadSignal('Seismic')';
// note transpose
// 
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Coiflet',3);
 
//!! Unknown variable FWT_PO ,the original calling sequence is used
wc = FWT_PO(trace,4,qmf);
// 
%v = wc.^2
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
 
//!! Unknown variable reverse ,the original calling sequence is used
wprev = reverse(%v);
thresh = sqrt(wprev(100));
wct = wc .* bool2s(abs(wc)>=thresh);
 
//!! Unknown variable IWT_PO ,the original calling sequence is used
recon = IWT_PO(wct,4,qmf);
// 
%v$2 = int((1-1)/1);%v$1 = 1-1-1*%v$2
xsetech([%v$1/1,%v$2/3,1/1,1/3]);
mtlb_plot(trace);
xtitle('Seismic Trace',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
ax = axis();
// 
%v$2 = int((2-1)/1);%v$1 = 2-1-1*%v$2
xsetech([%v$1/1,%v$2/3,1/1,1/3]);
mtlb_plot(recon);
xtitle('Reconstruction from 100 Wavelet Coefficients',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
// 
%v$2 = int((3-1)/1);%v$1 = 3-1-1*%v$2
xsetech([%v$1/1,%v$2/3,1/1,1/3]);
mtlb_plot(trace-recon);
xtitle('Error',' ',' ');
 
//!! Unknown variable axis ,the original calling sequence is used
axis(ax);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
