function []=toon0547()
// toon0547 -- Data Compression of Ingrid Daubechies
// 
//  Visualize residuals (reconstruction errors) for
//  the wavelet and DCT transforms of Daubechies.
// 
%v$2 = int((1-1)/2);%v$1 = 1-1-2*%v$2
xsetech([%v$1/2,%v$2/1,1/2,1/1]);
 
//! mtlb(ingrid) can be replaced by ingrid() or ingrid whether ingrid is an m-file or not
 
//! mtlb(icw_ingrid) can be replaced by icw_ingrid() or icw_ingrid whether icw_ingrid is an m-file or not
 
//!! Unknown variable GrayImage ,the original calling sequence is used
GrayImage(abs(mtlb(ingrid)-mtlb(icw_ingrid)),32);
xtitle('Errors from 95% Wavelet Co/Dec',' ',' ');
xset('colormap',1-graycolormap(32));
// 
%v$2 = int((2-1)/2);%v$1 = 2-1-2*%v$2
xsetech([%v$1/2,%v$2/1,1/2,1/1]);
 
//! mtlb(ingrid) can be replaced by ingrid() or ingrid whether ingrid is an m-file or not
 
//! mtlb(icf_ingrid) can be replaced by icf_ingrid() or icf_ingrid whether icf_ingrid is an m-file or not
 
//!! Unknown variable GrayImage ,the original calling sequence is used
GrayImage(abs(mtlb(ingrid)-mtlb(icf_ingrid)),32);
xtitle('Errors from 95% DCT Co/Dec',' ',' ');
xset('colormap',1-graycolormap(32));
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
