function []=toon0554()
// toon0554 -- AutoSpline Reconstructions from Noisy Data
// 
//  Here we depict a reconstruction using penalized thin-plate splines,
//  in which periodic thin-plate splines are used to smooth the data,
//  with roughness penalty proportional to the energy stored in the
//  second derivative.  The constant of proportionality (or Lagrangian
//  tuning parameter) is the empirical minimizer of the Stein Unbiased
//  Estimate of Risk.
// 
global('yblocks','ybumps','yheavi','yDoppler');
global('t');
// 
mtlb_clf();
 
//!! Unknown variable SplineInit ,the original calling sequence is used
SplineInit();
// 
 
//!! Unknown variable SplineUChoose ,the original calling sequence is used
[xhat,c] = SplineUChoose(yblocks,2);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(221,t,xhat,[],' 4 (a) AutoSpline[Blocks]',[],[]);
// 
 
//!! Unknown variable SplineUChoose ,the original calling sequence is used
[xhat,c] = SplineUChoose(ybumps,2);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(222,t,xhat,[],' 4 (b) AutoSpline[Bumps]',[],[]);
// 
 
//!! Unknown variable SplineUChoose ,the original calling sequence is used
[xhat,c] = SplineUChoose(yheavi,2);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(223,t,xhat,[],' 4 (c) AutoSpline[HeaviSine]',[],[]);
// 
 
//!! Unknown variable SplineUChoose ,the original calling sequence is used
[xhat,c] = SplineUChoose(yDoppler,2);
 
//!! Unknown variable versaplot ,the original calling sequence is used
versaplot(224,t,xhat,[],' 4 (d) AutoSpline[Doppler]',[],[]);
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
