function []=toon0563()
// toon0563 -- Fast Algorithm for Matrix Multiplication
// 
//  The Beylkin-Coifman-Rokhlin method is to 
//      1.  Take the 2-d Wavelet Transform of the matrix
//   -> 2.  ``compress'' the 2-d wavelet transform
//      3.  ``stretch'' it into a nonstandard form
//      4.  apply the nonstandard form by matrix multiplication.
// 
//  How many non-negligible vales in WT ?
// 
xset('window',max(winsid()+1))
max(winsid());
 
//!! Unknown variable wmat ,the original calling sequence is used
%v = abs(wmat(:))
 
//! next test may  probably be simplified
if min(size(%v))==1 then 
  %v=-sort(-%v)
else
  %v=-sort(-%v,'r')
end
worder = %v;
 
//!! Unknown variable reverse ,the original calling sequence is used
mtlb_plot(log(reverse(worder)+%eps));
xtitle('log(sort(abs(NS[Matrix])))',' ',' ');
xtitle(' ','Ordered Coefficient',' ');
xtitle(' ',' ','log(size(coefficient))');
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
