function []=toon0742()
// toon0742 -- Visualize wavelet packet decomposition of SlowChirp
// 
n = 1024;
t = (1:n) ./ n;
MAXPLOTS = 25;
xi = %pi/5 .* t;
SlowChirp = cos(xi .* (1:n));
 
//!! Unknown variable MakeONFilter ,the original calling sequence is used
qmf = MakeONFilter('Symmlet',8);
D = 10;
// 
 
//!! Unknown variable WPAnalysis ,the original calling sequence is used
wp = WPAnalysis(SlowChirp,D,qmf);
 
//!! Unknown variable CalcStatTree ,the original calling sequence is used
st = CalcStatTree(wp,'Entropy');
 
//!! Unknown variable BestBasis ,the original calling sequence is used
bb = BestBasis(st,D);
 
//!! Unknown variable UnpackBasisCoeff ,the original calling sequence is used
cf = UnpackBasisCoeff(bb,wp);
wc = cf ./ norm(cf);
 
//! mtlb_sum(abs(wc)>0.01) may be replaced by 
//!     sum(abs(wc)>0.01) if abs(wc)>0.01is a vector
//!     sum(abs(wc)>0.01,1) if abs(wc)>0.01is a matrix
count = min([mtlb_sum(abs(wc)>0.01),MAXPLOTS]);
mtlb_clf();
//subplot(221); plot(t,SlowChirp); title('SlowChirp');
//subplot(223); PlotPacketTable(wp); title('WP[SlowChirp]');
//ylabel('split level'); xlabel('Frequency[Time]')
// 
xsetech([0/2,0/1,1/2,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,0,MAXPLOTS+1]);
xtitle('First 25 WP Components of SlowChirp',' ',' ');
xsetech([1/2,0/1,1/2,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,MAXPLOTS,2*MAXPLOTS+1]);
xtitle('Next 25 WP Components of SlowChirp',' ',' ');
// 
%v=size(wp)
cwp = zeros(%v(1),%v(2));
 
//!! Unknown variable PackBasisCoeff ,the original calling sequence is used
cwp = PackBasisCoeff(bb,cwp,cf);
nplot = 0;
xsetech([0/2,0/1,1/2,1/1]);
for kk = 1:50
  if kk==26 then
     
    //!! drawnow ignored
    // drawnow
     ;
    xsetech([1/2,0/1,1/2,1/1]);
  end
  [amp,ind] = max(abs(cwp(:)));
   
  //!! Unknown variable ix2pkt ,the original calling sequence is used
  [d,b,k] = ix2pkt(ind,D,n);
   
  //!! Unknown variable WPImpulse ,the original calling sequence is used
  dwp = WPImpulse(cwp,d,b,k,qmf);
  wcmp = dwp(:,1)';
  nplot = nplot+1;
  mtlb_plot(t,nplot+cwp(ind) .* wcmp);
  txt = mtlb_sprintf('(%1.0f,%2.0f,%2.0f)',d,b,k);
  xstring(0.87,nplot+0.275,txt);
   
  //! cwp = mtlb_i(cwp,ind,0) may be replaced by cwp(ind) = 0
  //!   if cwp is not a  vector
  //!   or if cwp and 0 are both row or column vectors
  cwp = mtlb_i(cwp,ind,0)
end
// 
 
//!! drawnow ignored
// drawnow
 ;
xsetech([0/2,0/1,1/2,1/1]);
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
xsetech([1/2,0/1,1/2,1/1]);
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
