function []=toon0842()
// toon0842 -- Visualize cosine packet decomposition of SlowChirp
// 
// construct SlowChirp
// 
n = 1024;
t = (1:n) ./ n;
MAXPLOTS = 25;
xi = %pi/5 .* t;
SlowChirp = cos(xi .* (1:n));
D = 6;
// 
 
//!! Unknown variable CPAnalysis ,the original calling sequence is used
cp = CPAnalysis(SlowChirp,D,'Sine');
 
//!! Unknown variable CalcStatTree ,the original calling sequence is used
st = CalcStatTree(cp,'Entropy');
 
//!! Unknown variable BestBasis ,the original calling sequence is used
bb = BestBasis(st,D);
 
//!! Unknown variable UnpackBasisCoeff ,the original calling sequence is used
cf = UnpackBasisCoeff(bb,cp);
wc = cf ./ norm(cf);
 
//! mtlb_sum(abs(wc)>0.01) may be replaced by 
//!     sum(abs(wc)>0.01) if abs(wc)>0.01is a vector
//!     sum(abs(wc)>0.01,1) if abs(wc)>0.01is a matrix
count = min([mtlb_sum(abs(wc)>0.01),MAXPLOTS]);
mtlb_clf();
//subplot(221); plot(t,SlowChirp); title('Function SlowChirp');
//subplot(223); PlotPacketTable(cp); title('CP[SlowChirp]');
//ylabel('split level'); xlabel('Time[Frequency]')
// 
xsetech([0/2,0/1,1/2,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,0,MAXPLOTS+1]);
xtitle('First 25 CP Components of SlowChirp',' ',' ');
xsetech([1/2,0/1,1/2,1/1]);
 
//!! Unknown variable LockAxes ,the original calling sequence is used
LockAxes([0,1,MAXPLOTS,2*MAXPLOTS+1]);
xtitle('Next 25 CP Components of SlowChirp',' ',' ');
// 
%v=size(cp)
ccp = zeros(%v(1),%v(2));
 
//!! Unknown variable PackBasisCoeff ,the original calling sequence is used
ccp = PackBasisCoeff(bb,ccp,cf);
nplot = 0;
xsetech([0/2,0/1,1/2,1/1]);
for kk = 1:50
  if kk==26 then
     
    //!! drawnow ignored
    // drawnow
     ;
    xsetech([1/2,0/1,1/2,1/1]);
  end
  [amp,ind] = max(abs(ccp(:)));
   
  //!! Unknown variable ix2pkt ,the original calling sequence is used
  [d,b,k] = ix2pkt(ind,D,n);
   
  //!! Unknown variable CPImpulse ,the original calling sequence is used
  dcp = CPImpulse(ccp,d,b,k,'Sine');
   
  //!! Unknown variable dct_iv ,the original calling sequence is used
  ccmp = dct_iv(dcp(:,1)');
  nplot = nplot+1;
  mtlb_plot(t,nplot+ccp(ind) .* ccmp);
  txt = mtlb_sprintf('(%1.0f,%2.0f,%2.0f)',d,b,k);
  xstring(0.87,nplot+0.275,txt);
   
  //! ccp = mtlb_i(ccp,ind,0) may be replaced by ccp(ind) = 0
  //!   if ccp is not a  vector
  //!   or if ccp and 0 are both row or column vectors
  ccp = mtlb_i(ccp,ind,0)
end
 
//!! drawnow ignored
// drawnow
 ;
xsetech([0/2,0/1,1/2,1/1]);
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
xsetech([1/2,0/1,1/2,1/1]);
 
//!! Unknown variable UnlockAxes ,the original calling sequence is used
UnlockAxes();
// 
// 
//   
// Part of WaveLab Version 802
// Built Sunday, October 3, 1999 8:52:27 AM
// This is Copyrighted Material
// For Copying permissions see COPYING.m
// Comments? e-mail wavelab@stat.stanford.edu
//   
// 
